<?xml version="1.0" encoding='UTF-8'?>
<!DOCTYPE hibernate-mapping PUBLIC
                            "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
                            "http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd" >
<hibernate-mapping package="com.itjob.dao.model">
    <class name="User" table="TUser">
        <id name="userNumber" column="user_number" type="java.lang.String" length="20">
            <generator class="assigned"/>
        </id>
        <property name="userPasswd" column="user_passwd" type="java.lang.String" not-null="true" length="20" />
        <property name="phoneNumber" column="phone_number" type="java.lang.String" not-null="true" length="20" />
        <property name="areanum" column="areanum" type="java.lang.String" not-null="true" length="10" />
        <property name="agentnum" column="agentnum" type="java.lang.String" not-null="true" length="10" />
        <property name="userState" column="user_state" type="java.lang.Integer" not-null="true" />
		<property name="ringType" column="ring_type" type="java.lang.Integer" not-null="true" />
    </class>
</hibernate-mapping>
